qpid::framing::FieldTable Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
qpid::framing::FieldTable Class Reference

A set of name-value pairs. More...

`#include <qpid/framing/FieldTable.h>`

List of all members.

## Public Types
typedef boost::shared_ptr < FieldValue > | ValuePtr
typedef std::map< std::string, ValuePtr > | ValueMap
typedef ValueMap::iterator | iterator
typedef ValueMap::const_iterator | const_iterator
typedef ValueMap::const_reference | const_reference
typedef ValueMap::reference | reference
typedef ValueMap::value_type | value_type
## Public Member Functions
| FieldTable ()
| FieldTable (const FieldTable &)
FieldTable & | operator= (const FieldTable &)
uint32_t | encodedSize () const
void | encode (Buffer &buffer) const
void | decode (Buffer &buffer)
int | count () const
QPID_COMMON_INLINE_EXTERN size_t | size () const
QPID_COMMON_INLINE_EXTERN bool | empty ()
void | set (const std::string &name, const ValuePtr &value)
ValuePtr | get (const std::string &name) const
QPID_COMMON_INLINE_EXTERN bool | isSet (const std::string &name) const
void | setString (const std::string &name, const std::string &value)
void | setInt (const std::string &name, const int value)
void | setInt64 (const std::string &name, const int64_t value)
void | setTimestamp (const std::string &name, const uint64_t value)
void | setUInt64 (const std::string &name, const uint64_t value)
void | setTable (const std::string &name, const FieldTable &value)
void | setArray (const std::string &name, const Array &value)
void | setFloat (const std::string &name, const float value)
void | setDouble (const std::string &name, const double value)
int | getAsInt (const std::string &name) const
uint64_t | getAsUInt64 (const std::string &name) const
int64_t | getAsInt64 (const std::string &name) const
std::string | getAsString (const std::string &name) const
bool | getTable (const std::string &name, FieldTable &value) const
bool | getArray (const std::string &name, Array &value) const
bool | getFloat (const std::string &name, float &value) const
bool | getDouble (const std::string &name, double &value) const
void | erase (const std::string &name)
bool | operator== (const FieldTable &other) const
ValueMap::const_iterator | begin () const
ValueMap::const_iterator | end () const
ValueMap::const_iterator | find (const std::string &s) const
ValueMap::iterator | begin ()
ValueMap::iterator | end ()
ValueMap::iterator | find (const std::string &s)
std::pair< ValueMap::iterator, bool > | insert (const ValueMap::value_type &)
ValueMap::iterator | insert (ValueMap::iterator, const ValueMap::value_type &)
void | clear ()
## Friends
std::ostream & | operator<< (std::ostream &out, const FieldTable &body)

## Detailed Description

A set of name-value pairs.

(See the AMQP spec for more details on AMQP field tables).

## Member Typedef Documentation

typedef ValueMap::const_iterator qpid::framing::FieldTable::const_iterator

Definition at line 59 of file FieldTable.h.

typedef ValueMap::const_reference qpid::framing::FieldTable::const_reference

Definition at line 60 of file FieldTable.h.

typedef ValueMap::iterator qpid::framing::FieldTable::iterator

Definition at line 58 of file FieldTable.h.

typedef ValueMap::reference qpid::framing::FieldTable::reference

Definition at line 61 of file FieldTable.h.

typedef ValueMap::value_type qpid::framing::FieldTable::value_type

Definition at line 62 of file FieldTable.h.

typedef std::map<std::string, ValuePtr> qpid::framing::FieldTable::ValueMap

Definition at line 57 of file FieldTable.h.

typedef boost::shared_ptr<FieldValue> qpid::framing::FieldTable::ValuePtr

Definition at line 56 of file FieldTable.h.

## Constructor & Destructor Documentation

qpid::framing::FieldTable::FieldTable | ( |  | ) |

qpid::framing::FieldTable::FieldTable | ( | const FieldTable & |  | ) |

## Member Function Documentation

ValueMap::const_iterator qpid::framing::FieldTable::begin | ( |  | ) | const

ValueMap::iterator qpid::framing::FieldTable::begin | ( |  | ) |

void qpid::framing::FieldTable::clear | ( |  | ) |

int qpid::framing::FieldTable::count | ( |  | ) | const

void qpid::framing::FieldTable::decode | ( | Buffer & | buffer | ) |

QPID_COMMON_INLINE_EXTERN bool qpid::framing::FieldTable::empty | ( |  | ) | `[inline]`

Definition at line 74 of file FieldTable.h.

References size().

void qpid::framing::FieldTable::encode | ( | Buffer & | buffer | ) | const

uint32_t qpid::framing::FieldTable::encodedSize | ( |  | ) | const

ValueMap::const_iterator qpid::framing::FieldTable::end | ( |  | ) | const

ValueMap::iterator qpid::framing::FieldTable::end | ( |  | ) |

void qpid::framing::FieldTable::erase | ( | const std::string & | name | ) |

ValueMap::const_iterator qpid::framing::FieldTable::find | ( | const std::string & | s | ) | const

ValueMap::iterator qpid::framing::FieldTable::find | ( | const std::string & | s | ) |

ValuePtr qpid::framing::FieldTable::get | ( | const std::string & | name | ) | const

bool qpid::framing::FieldTable::getArray | ( | const std::string & | name,
|  | Array & | value
| ) |  | const

int qpid::framing::FieldTable::getAsInt | ( | const std::string & | name | ) | const

int64_t qpid::framing::FieldTable::getAsInt64 | ( | const std::string & | name | ) | const

std::string qpid::framing::FieldTable::getAsString | ( | const std::string & | name | ) | const

uint64_t qpid::framing::FieldTable::getAsUInt64 | ( | const std::string & | name | ) | const

bool qpid::framing::FieldTable::getDouble | ( | const std::string & | name,
|  | double & | value
| ) |  | const

bool qpid::framing::FieldTable::getFloat | ( | const std::string & | name,
|  | float & | value
| ) |  | const

bool qpid::framing::FieldTable::getTable | ( | const std::string & | name,
|  | FieldTable & | value
| ) |  | const

std::pair<ValueMap::iterator, bool> qpid::framing::FieldTable::insert | ( | const ValueMap::value_type & |  | ) |

ValueMap::iterator qpid::framing::FieldTable::insert | ( | ValueMap::iterator | ,
|  | const ValueMap::value_type & |
| ) |  |

QPID_COMMON_INLINE_EXTERN bool qpid::framing::FieldTable::isSet | ( | const std::string & | name | ) | const`[inline]`

Definition at line 77 of file FieldTable.h.

FieldTable& qpid::framing::FieldTable::operator= | ( | const FieldTable & |  | ) |

bool qpid::framing::FieldTable::operator== | ( | const FieldTable & | other | ) | const

void qpid::framing::FieldTable::set | ( | const std::string & | name,
|  | const ValuePtr & | value
| ) |  |

void qpid::framing::FieldTable::setArray | ( | const std::string & | name,
|  | const Array & | value
| ) |  |

void qpid::framing::FieldTable::setDouble | ( | const std::string & | name,
|  | const double | value
| ) |  |

void qpid::framing::FieldTable::setFloat | ( | const std::string & | name,
|  | const float | value
| ) |  |

void qpid::framing::FieldTable::setInt | ( | const std::string & | name,
|  | const int | value
| ) |  |

void qpid::framing::FieldTable::setInt64 | ( | const std::string & | name,
|  | const int64_t | value
| ) |  |

void qpid::framing::FieldTable::setString | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |

void qpid::framing::FieldTable::setTable | ( | const std::string & | name,
|  | const FieldTable & | value
| ) |  |

void qpid::framing::FieldTable::setTimestamp | ( | const std::string & | name,
|  | const uint64_t | value
| ) |  |

void qpid::framing::FieldTable::setUInt64 | ( | const std::string & | name,
|  | const uint64_t | value
| ) |  |

QPID_COMMON_INLINE_EXTERN size_t qpid::framing::FieldTable::size | ( |  | ) | const`[inline]`

Definition at line 73 of file FieldTable.h.

Referenced by empty().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | out,
|  | const FieldTable & | body
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/framing/FieldTable.h